# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取我的返利列表,33,33-63,sit,be
主数据平台:多采商城获取我的返利列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_33st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_be")
password = commonFuc().get_business_data(module, "password_be")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步获取我的返利列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url63")
request_body = commonFuc().get_business_data(module, "payload63")
# print(request_body)
"""

 场景: 获取我的返利列表
 用例名称：获取我的返利列表
 输出：{"total":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取我的返利列表
result = json.loads(result.content)
result = {"total": result["data"]["total"]}

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db_be")

# 查询数据库中客户返利信息
sql = "SELECT count(t.rebateId) FROM `cmdc-order`.tc_rebate t " \
      "WHERE deleteSign = 0 and auditStatus = 102 and status = 101 and rebateId in " \
      "(SELECT t.rebateId  FROM `cmdc-order`.tc_rebate_user t  WHERE customerCode = 1022777 and deleteSign = 0)"
total = mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0]

# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict63", total)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
