# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc医院档案信息删除功能验证,2298,2298-16,sit,bs
主数据平台:后台运营系统医院档案信息删除接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_hospital"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取医院档案列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url19_1")
request_body = commonFuc().get_business_data(module, "payload19_1")
# 发送请求
result = requests.get(url, headers=headers, params=request_body)
result = json.loads(result.content)

# 获取医院档案信息
id = result["data"]["list"][0]["id"]

# 第三步医院档案删除操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url20")
request_body = commonFuc().get_business_data(module, "payload20", id)

"""

 场景: 医院档案信息删除功能验证
 用例名称：医院档案信息删除功能验证
 输出：{"success":true,"code":"200","message":"OK","data":null,"freshToken":null}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 将接口响应时间添加至result
result = json.loads(result.content)
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict20")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)



