# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询条件验证_客户清单列表,2295,2295-88,sit,bs
主数据平台:后台运营系统获取客户清单列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json
import random

module = "cmdc_order_list"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取客户清单列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url86")
request_body = commonFuc().get_business_data(module, "payload86")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
customer_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取客户信息
customerInfo = result["data"]["list"][customer_random]["customerCode"]

# 第三步进行列表查询条件验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url88")
request_body = commonFuc().get_business_data(module, "payload88", customerInfo)

"""

 场景: 查询条件验证_客户清单列表
 用例名称：查询条件验证_客户清单列表
 输出：{"customerInfo":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取查询结果中客户信息
result = json.loads(result.content)
result = {"customerInfo": result["data"]["list"][0]["customerCode"]}
# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict88", customerInfo)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
