# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询站点是否开启电子印章,2295,2295-100,sit,bs
主数据平台:后台运营系统查询站点是否开启电子印章接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_order_list"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步查询站点是否开启电子印章
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url100")
request_body = commonFuc().get_business_data(module, "payload100")
# print(request_body)
"""

 场景: 查询站点是否开启电子印章
 用例名称：查询站点是否开启电子印章
 输出：{"sealSiteSign":"%s"}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取站点是否开启电子印章
result = json.loads(result.content)
# 映射，接口返回true：1//开和false：0//关
seal_sign = 1 if result["data"] else 0
result = {"sealSiteSign": seal_sign}

# 将接口响应时间添加至result
result["api_time"] = api_time

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 查询数据库中对应站点是否开启电子章
sql = "SELECT t.sealSiteSign FROM `cmdc-user`.cmdc_website t WHERE companyId = 7"
sealSiteSign = mysql_handle.selectSql(host, port, user, pwd, "cmdc-user", sql)[0][0]

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict100", sealSiteSign)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
