# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc通过Excel复制添加商品_采购单新增,2295,2295-16,sit,bs
主数据平台:后台运营系统通过Excel复制添加商品接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import random
import requests
import json

module = "cmdc_order_list"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步查看已发布商品信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url15_1")
request_body = commonFuc().get_business_data(module, "payload15_1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
product_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取商品信息
product_code = result["data"]["list"][product_random]["productCode"]

# 第三步获取商品信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url16")
request_body = commonFuc().get_business_data(module, "payload16", product_code)

"""
 场景: 通过Excel复制添加商品_采购单新增
 用例名称：通过Excel复制添加商品_采购单新增
 输出：{"success":true,"code":"200","message":"OK","data":{"status":0,"countSuccess":0,"countFail":1,"message":"第1行，该商品不存在!\n","data":[],"maps":null},"freshToken":null}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict16")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

