# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询条件验证_退货记录列表,2294,2294-34,sit,be
主数据平台:多采商城获取退货记录列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import random
import requests
import datetime
import json

module = "cmdc_trade"

# 第一步获取登录多采商城所需账号密码
username = commonFuc().get_business_data(module, "username_be")
password = commonFuc().get_business_data(module, "password_be")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步获取退货记录列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url32")
request_body = commonFuc().get_business_data(module, "payload32")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
refund_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取退货记录信息
refund_code = result["data"]["list"][refund_random]["refundCode"]
customer_name = result["data"]["list"][refund_random]["customerName"]
return_type = result["data"]["list"][refund_random]["returnType"]
start_time = result["data"]["list"][refund_random]["refundDate"][:10] + " 00:00:00"
end_time = datetime.datetime.now().strftime('%Y-%m-%d') + " 23:59:59"
seller_company_code = result["data"]["list"][refund_random]["sellerCompanyCode"]

# 第三步进行查询条件验证
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url33")
request_body = commonFuc().get_business_data(module, "payload33", refund_code, customer_name, return_type, start_time,
                                             end_time, seller_company_code)
# print(request_body)
"""

 场景: 查询条件验证_退货记录列表
 用例名称：查询条件验证_退货记录列表
 输出：{"refundCode":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
# 获取退货编号
result = json.loads(result.content)
# print(result)
result = {"refundCode": result["data"]["list"][0]["refundCode"]}
# 将接口响应时间添加至result
result["api_time"] = api_time
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict33", refund_code)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
