# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc客户联系人信息删除功能验证,2256,2256-30,sit,bs
主数据平台:后台运营系统客户联系人信息删除接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests


module = "cmdc_website"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 查询数据库中站点对应的客户联系人信息
sql = "SELECT t.contactId FROM `cmdc-cms`.cms_contact t WHERE deleteSign = 0 and companyId = 7 and name = '测试勿动'"
contactId = mysql_handle.selectSql(host, port, user, pwd, "cmdc-cms", sql)[0][0]

# 第二步进行客户联系人信息删除操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url30")
request_body = commonFuc().get_business_data(module, "payload30", contactId)
"""

 场景: 客户联系人信息删除功能验证
 用例名称：客户联系人信息删除功能验证
 输出：{"deleteSign":1}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 查询数据库中站点对应的客户联系人信息删除标识
sql = "SELECT t.deleteSign FROM `cmdc-cms`.cms_contact t WHERE  contactId = {}".format(contactId)
result = {"deleteSign": mysql_handle.selectSql(host, port, user, pwd, "cmdc-cms", sql)[0][0]}

# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict30")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
